apiVersion: apps/v1
kind: Deployment
metadata:
  name: test-nodeport
spec:
  selector:
    matchLabels:
      k8s-app: nginx-app-nodeport
  replicas: 2
  template:
    metadata:
      labels:
        k8s-app: nginx-app-nodeport
    spec:
      containers:
      - name: nginx
        image: ranchertest/mytestcontainer
        ports:
        - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  labels:
    k8s-app: nginx-app-nodeport
  name: nginx-nodeport-svc
  namespace: default
spec:
  type: NodePort
  ports:
    - port: 80
      nodePort: 30096
      name: http
  selector:
    k8s-app: nginx-app-nodeport
